Subject: Re: [decade] WG review of draft-ietf-decade-integration-example-02

From: Songhaibin <[email-masked]>
Date: Fri, 23 Dec 2011 09:06:30 +0000

Hi Akbar,

Thanks for the comments. The authors please discuss/address these comments.

BR,
-Haibin

From: [email-masked] [mailto:[email-masked]] On Behalf Of Rahman, Akbar
Sent: Tuesday, November 29, 2011 3:17 PM
To: [email-masked]
Subject: [decade] WG review of draft-ietf-decade-integration-example-02

Hi,

As per the request of the DECADE chairs in IETF 82, I did a review of the "Integration Examples of DECADE System" (draft-ietf-decade-integration-example-02) and have the following comments:

·         Overall, I found the document very useful in providing excellent insights into how DECADE could be used in a real network.  Also, I took it as a good example of "running code" for DECADE.  Thanks for the good work!

·         I think the document could generally be improved if the following information were added (or expanded):

o   Some more details of the actual protocols used in the different integration scenarios should be given.  For example, what were the underlying protocols for the "P2P LiveStreaming Client (P2PLS)"?   As an example, HTTP/TCP are the protocols used for web browsing.  What were the protocols for P2PLS?  Also some details for the protocols should be given even for the "BitTorrent" example.  As not all readers will have knowledge of how BitTorrent works.

o   Some more details of the file/object naming scheme used in the different integration scenarios should be given.  This is a critical part of DECADE and the approached used in the experiments for naming must be given for a complete understanding of what was done.

o   In the Intro (and elsewhere) there needs to be some clear references to DECADE WG documents such as the Problem Statement, Requirements or Architecture (and the associated concepts defined in those documents).  Note that there can be deviations from the concepts defined in the DECADE WG documents, but these need to be clearly explained.

·         Some detailed comments on specific sections:

o   The Abstract is a bit detailed and it is hard to understand.  For example there should not be a list (points 1-6) in an abstract.

o   In section 2.9 (Remote Controller), I did not understand what "a major operating platform" meant?

o   I did not understand the "limited connection slot" issue (sec. 4.2.1).  My understanding is that a DECADE client will have an association with a given DECADE server, and not every other possible server.  Is this the assumption that was used in the integration?

o   Editorial: The word DECADE is spelled incorrectly in Figure 2 and 3.

o   I did not understand the relation between a DECADE client and server in the ALTO + DECADE integration (section 6)?  Does ALTO get invoked for both PUT and GET from a DECADE client?  Or is it only for a GET?

§  Similarly, I did not understand the Performance Analysis of the ALTO+DECADE Performance Analysis (section 8.2.3).

o   Should better define what a "small instance" is in the Amazon EC2 framework (section 7.2.1)

o   A short Conclusion section should be added to the document briefly summarizing the lessons learned and some suggestions for the DECADE design.  As right now the conclusions are spread over several sections.

o   The Security section (sec. 9) should not be empty as there must have been some security related assumptions in the integration.  For example, was any DECADE client able to read from any DECADE server without authentication?  Yes or No?  Either way this should be described.  (In section 5.3, for example, there was a reference to an "authorization token").

That's all.

Akbar